Get DSP VAST Tag
This endpoint fetches DSP VAST Tag(s).
HTTP Request
Section titled “HTTP Request”GET https://adelion.com/api/ortb/dspvasttag/get| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | DSP VAST Tag ID, if sent, request will fetch DSP VAST Tag with exact ID, otherwise it fill fetch all DSP VAST Tags. | optional |
| AdvertiserId | int | Advertiser ID, if sent, request will fetch DSP VAST Tags with exact advertiser ID, otherwise it fill fetch all DSP VAST Tags. | optional |
| AccManagerId | int | Account Manager ID, if sent, request will fetch DSP VAST Tags with exact Account Manager ID (User ID), otherwise it fill fetch all DSP VAST Tags. | optional |
| ActiveOnly | int | Request will fetch only active DSP VAST Tags if set to 1, otherwise it fill fetch all DSP VAST Tags. | optional |
To get DSP VAST Tag, send query parameter like this: Id=1 or AdvertiserId=1 or AccManagerId=5
Or if you want to get all Video Ads, don’t include either of Id or AdvertiserId or AccManagerId parameters, or set them as 0.
Response
Section titled “Response”{ "Id": 1, "TeamId": 1, "AdvertiserId": 1, "AdvertiserName": "Advertiser", "Name": "DSP VAST Tag 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlEu": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlApac": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "StatsApi": "", "StatsDashboardUrl": "", "FixedCpm": 1.0, "MaxQps": 0, "AutoOptimize": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "PubIdListMode": 0, "PubIdList": "", "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "VastTags": [ 1 ], "RtbEps": [ 1 ], "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active"}[ { "Id": 1, "TeamId": 1, "AdvertiserIdId": 1, "AdvertiserName": "Advertiser", "Name": "DSP VAST Tag 1", "Tags": [ 1 ], "ZoneUrlUsEast": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlEu": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "ZoneUrlApac": "https://us-east.advertiser.com/vast?width={width}&height={height}&cb={cb}&ua={ua}&uip={ip}&app_name={app_name}&app_bundle={app_bundle}&device_model={device_model}&device_make={device_make}&app_store_url={app_store_url}&vast_version=2&aid=959217&geo_country={country}&geo_lat={lat}&geo_lon={lon}", "StatsApi": "", "StatsDashboardUrl": "", "FixedCpm": 1.0, "MaxQps": 0, "AutoOptimize": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "RevenueDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxBidfloor": 0.8, "MinTmax": 350, "MaxIvt": 50.0, "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "VastTags": [ 1 ], "RtbEps": [ 1 ], "AvgRequestTimeMs": 55, "Qps": 422, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active" }]Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |